Subject: [dhcwg] Comment on draft-ietf-dhc-leasequery-08.txt

From: "Kostur, Andre" <[email-masked]>
Date: Fri, 18 Feb 2005 10:51:01 -0800

It seems that the DHCPUNIMPLEMENTED message is now out-of-place within the
Leasequery draft.  Previously it used to be that if one supported
Leasequery, one had to support query by IP, but query by MAC and query by
ClientID were optional.  So it would be reasonable to expect that an
UNIMPLEMENTED message may be returned for those two optional cases.

But now that there is no case within Leasequery where an UNIMPLEMENTED would
be generated (except if the server doesn't support Leasequery at all), I
don't think UNIMPLEMENTED should be defined here.  It may be more
appropriate to have the UNIMPLEMENTED message described in a separate draft,
and have it talk about UNIMPLEMENTED being a valid response to _any_ DHCP
Message that a server isn't willing to support (or doesn't recognize).
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg